summaryrefslogtreecommitdiffstats
path: root/jjb/scripts/hicn/docs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/scripts/hicn/docs.sh')
-rw-r--r--jjb/scripts/hicn/docs.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/jjb/scripts/hicn/docs.sh b/jjb/scripts/hicn/docs.sh
new file mode 100644
index 00000000..e927f0bb
--- /dev/null
+++ b/jjb/scripts/hicn/docs.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+set -xe -o pipefail
+
+DOC_DIR="docs/build/html"
+SITE_DIR_ROOT="build/doc"
+SITE_DIR="${SITE_DIR_ROOT}/deploy-site"
+
+echo "---> jjb/scripts/hicn/docs.sh"
+
+bash scripts/build-packages.sh sphinx
+
+mkdir -p "${SITE_DIR_ROOT}"
+mv -f "${DOC_DIR}" "${SITE_DIR}"
+find "${SITE_DIR}" -type f '(' -name '*.md5' -o -name '*.dot' -o -name '*.map' ')' -delete